Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1638688 - GNOME System Status Menu Lock Button Missing
Summary: GNOME System Status Menu Lock Button Missing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1058079
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-12 09:25 UTC by xhe@redhat.com
Modified: 2018-11-30 23:14 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1058079
Environment:
Last Closed: 2018-11-30 23:14:42 UTC


Attachments (Terms of Use)
screenshot of missing button (deleted)
2018-10-12 09:25 UTC, xhe@redhat.com
no flags Details
screenshot of missing button (deleted)
2018-10-12 09:30 UTC, xhe@redhat.com
no flags Details
screenshot_of_Privacy_ScreenLock.png (deleted)
2018-10-12 09:40 UTC, xhe@redhat.com
no flags Details
screenshot_of_Power_in_Settings.png (deleted)
2018-10-12 09:56 UTC, xhe@redhat.com
no flags Details

Description xhe@redhat.com 2018-10-12 09:25:29 UTC
Created attachment 1493180 [details]
screenshot of missing button

+++ This bug was initially created as a clone of Bug #1058079 +++

Description of problem:

The GNOME System Status Menu Lock Button is missing. I discovered this in Fedora 19 which led me to stay on Fedora 18. Since I need to Install & Upgrade several Laptops with Fedora 20, I decided to dig in my heels to research the issue so I could resolve it. Even after I completed the gnome-screensaver Installation & AutostartCondition Configuration Correction, the GNOME System Status Menu Lock Button is still missing.

After I searched Google, I was disappointed to discover from several sites that this occurred after Fedora 18 with GNOME 3.6. For Fedora 20 with GNOME 3.10 by default, the gnome-screensaver Package is not installed, and the Screen Lock is disabled. It is extremely default for me to understand how a Fedora Linux Installation would be useful without the Screen Lock enabled by default.

During my numerous Google Searches with GNOME 3.10 Screen Captures & Videos, I noticed that Lock Button is supposed to be located between the Settings & Power Button.

I followed the common resolution & workaround specified in various Web Pages which enable the gnome-screensaver for a single user.

I corrected the AutostartCondition Configuration to the following GNOME System Configuration File because I wanted it to apply for all users.
/etc/xdg/autostart/gnome-screensaver.desktop

Version-Release number of selected component (if applicable):
* gnome-shell-3.10.3-2.fc20.x86_64
* gnome-screensaver-3.6.1-6.fc20.x86_64

How reproducible:
Everytime

Steps to Reproduce:

1. Perform the Fedora 20 Installation with GNOME Environment Default which should not include gnome-screensaver Package Installation.

2. Authenticate at the GNOME Session Prompt.

3. Click on the GNOME System Status Menu with any mouse button to confirm that there is no Lock Button.

4. Press the Super+L Key Sequence to confirm that Screen Lock does not manually engage.

5. Let GNOME Session set idle to confirm that Screen Lock does not automatically engage.

6. Launch gnome-terminal.

7. RPM Query gnome-screensaver to confirm that it was not installed.
rpm --query gnome-screensaver

8. YUM Install gnome-screensaver as root.
yum --{assumeyes,verbose} install gnome-screensaver

9. Log Out of GNOME Session.

10. Authenticate at the GNOME Session Prompt.

11. Click on the GNOME System Status Menu with any mouse button to confirm that there still is no Lock Button.

12. Press the Super+L Key Sequence to confirm that Screen Lock still does not manually engage.

13. Let GNOME Session set idle to confirm that Screen Lock still does not automatically engage.

14. Launch gnome-terminal as root.

15. Correct the AutostartCondition Configuration to the GNOME System Configuration File.
sed --in-place=."$(printf '0x%8.8lx\n' "$(date '+%s')")" '/AutostartCondition/d' /etc/xdg/autostart/gnome-screensaver.desktop

16. Log Out of GNOME Session.

17. Authenticate at the GNOME Session Prompt.

18. Press the Super+L Key Sequence to confirm that Screen Lock now does manually engage. This problem is corrected.

19. Let GNOME Session set idle to confirm that Screen Lock now does automatically engage. This problem is corrected.

20. Click on the GNOME System Status Menu with any mouse button to confirm that there still is no Lock Button. This problem is not corrected.

Actual results:
GNOME System Status Menu has no Lock Button between the Settings & Power Button.

Expected results:
GNOME System Status Menu is supposed have the Lock Button located between the Settings & Power Button.

Additional info:
Please refer to the following Web Pages which provide the resolution & workaround to enable the gnome-screensaver for a single user:
* https://ask.fedoraproject.org/en/question/35171/no-screen-lock
* https://wiki.fysik.dtu.dk/it/Fedora_Linux_Tips_and_Tricks#lock-screen
* http://youtu.be/ALXz83NgSrI

--- Additional comment from Gabriel Donnell on 2014-01-26 17:00:43 EST ---



--- Additional comment from N Musolino on 2014-07-03 09:56:52 EDT ---

Confirmed on my system with GNOME Shell 3.10.4 and FC20.

--- Additional comment from Karel Zak on 2015-02-03 08:55:03 EST ---

I also don't see "Lock" button, f21... very useless.

--- Additional comment from Fedora End Of Life on 2015-05-29 06:41:35 EDT ---

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2015-06-29 10:47:02 EDT ---

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 xhe@redhat.com 2018-10-12 09:30:59 UTC
Created attachment 1493185 [details]
screenshot of missing button

Comment 2 xhe@redhat.com 2018-10-12 09:40:08 UTC
I cloned the original bug to Fedora 27. I don't know how it happens, I don't remember I did anything for the screen lock. It is weird to happen to me. The Screen Lock in Privacy looks same as usual (see attachment of screenshot_of_Privacy_ScreenLock.png )

$ cat /etc/redhat-release 
Fedora release 27 (Twenty Seven)

$ uname -r
4.17.19-100.fc27.x86_64

$ rpm -qa|grep gnome-screensa
gnome-screensaver-3.6.1-18.fc27.x86_64

Comment 3 xhe@redhat.com 2018-10-12 09:40:56 UTC
Created attachment 1493186 [details]
screenshot_of_Privacy_ScreenLock.png

Comment 4 xhe@redhat.com 2018-10-12 09:56:41 UTC
Created attachment 1493227 [details]
screenshot_of_Power_in_Settings.png

Comment 5 Yaakov Selkowitz 2018-10-12 15:36:04 UTC
gnome-screensaver is no longer used by the GNOME desktop; reassigning.

Comment 6 Ben Cotton 2018-11-27 14:02:25 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 23:14:42 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.